#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  MLT-7.38.0

- Next

  Pipewire-1.6.4

- Up
- Home

# Opus-1.6.1

## Introduction to Opus

Opus is a lossy audio compression format developed by the Internet Engineering Task Force (IETF) that is particularly suitable for interactive speech and audio transmission over the Internet. This package provides the Opus development library and headers.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://downloads.xiph.org/releases/opus/opus-1.6.1.tar.gz

- Download MD5 sum: 67cafc438c430aa74eeb605eef670886

- Download size: 10 MB

- Estimated disk space required: 41 MB (with tests)

- Estimated build time: 0.5 SBU (with tests)

#### Optional

Doxygen-1.17.0 and texlive-20250308 (or install-tl-unx)

## Installation of Opus

Install Opus by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr        \
                --buildtype=release  \
                -D docdir=/usr/share/doc/opus-1.6.1 &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

## Contents

Installed Programs: None
Installed Library: libopus.so
Installed Directory: /usr/include/opus and /usr/share/doc/opus-1.6.1

### Short Descriptions

`libopus.so` | provides the functions used to read and write Opus format

- Prev

  MLT-7.38.0

- Next

  Pipewire-1.6.4

- Up
- Home